//Remote Control Hot Air Balloon
//Transmitter Code
//Written By:  Matt Barr
//Date:  2016
//https://hackaday.io/project/18086-remote-control-model-hot-air-balloon

#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

// Radio Configuration
RF24 radio(9, 10);
const byte rxAddr[6] = "00001";
int controlPin = A1;               //Control Signal From POT
bool controlInput ;
int controlOutput;
int controlHighLimit = 100;        //Servo Position On
int controlLowLimit = 25;          //Servo Position Off
int powerLED = 3;                  //Led Power Indicator
int signalLED = 6;                 //Led Gas On/Off Indicator

void setup()
{
  pinMode(controlPin,INPUT);
  pinMode(powerLED, OUTPUT);
  pinMode(signalLED, OUTPUT);
  Serial.begin(9600);
  radio.begin();
  radio.setRetries(15, 15);
  radio.openWritingPipe(rxAddr);
  radio.stopListening();
}

void loop()
{
  digitalWrite(powerLED, HIGH);
  controlInput = analogRead(controlPin) ;
  if(controlInput==HIGH)
    {controlOutput=controlHighLimit;Serial.println("Gas On");
    Serial.print("Position:  ");
    Serial.println(controlOutput);
    digitalWrite(signalLED, HIGH);}
  else
    {controlOutput=controlLowLimit;
    Serial.println("Gas Off");
    Serial.print("Position:  ");
    Serial.println(controlOutput);
    digitalWrite(signalLED, LOW);}
  radio.write(&controlOutput, sizeof(controlOutput));
  delay(200);
}
